Session Events
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/reports/examSessionEvents \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/reports/examSessionEvents"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/reports/examSessionEvents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"results": [
{
"sid": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"appointmentDate": "<string>",
"sessionType": "<string>",
"courseTitle": "<string>",
"examType": "<string>",
"examTitle": "<string>",
"sessionStatus": "<string>",
"eventSid": "<string>",
"eventTime": "<string>",
"title": "<string>",
"subject": "<string>",
"details": "<string>",
"potentialDamage": "<string>",
"directWitness": "<string>",
"status": "<string>",
"correctiveActionDetails": "<string>",
"contactPerson": "<string>",
"contactEmail": "<string>",
"contactPhone": "<string>"
}
]
}Reports
Session Events
Returns exam session event reports for the specified install.
GET
/
v1
/
installs
/
{installSid}
/
reports
/
examSessionEvents
Session Events
Authorizations
Path Parameters
Install Sid
Pattern:
^AI[a-f0-9]{32}$Query Parameters
Course title
Exam title
First Name of student
Last Name of student
First Name of Instructor
Last Name of Instructor
Event Type Sid
Pattern:
^ET[a-f0-9]{32}$Event status
Starting of event, must provide end date with it
Pattern:
.*ZExample:
"1970-01-01T00:00:00.000Z"
Exam Close date, must provide open date with it
Pattern:
.*ZExample:
"1970-01-01T00:00:00.000Z"
Course Offering Sid
Pattern:
^CO[a-f0-9]{32}$Course Sid
Pattern:
^CU[a-f0-9]{32}$Exam Sid
Pattern:
^EX[a-f0-9]{32}$Result offset
Required range:
x >= 0Number of items to return
Required range:
x >= 0Key to sort by
Available options:
createdDate Sort order
Available options:
ASC, DESC Event SID
Pattern:
^ER[a-f0-9]{32}$Was this page helpful?
